This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 146810 - print call foo where foo is in library SEGV
print call foo where foo is in library SEGV
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexandre Oliva
:
Depends On:
Blocks: 202682
  Show dependency treegraph
 
Reported: 2005-02-01 14:52 EST by Caolan McNamara
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-22 03:36:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
testcase (533 bytes, application/x-gzip)
2005-02-01 14:53 EST, Caolan McNamara
no flags Details
Fix for the GDB CVS version (1.88 KB, patch)
2006-06-22 07:22 EDT, Jan Kratochvil
no flags Details | Diff
Fix for the GDB CVS version, coding style update (1.89 KB, patch)
2006-07-25 07:33 EDT, Jan Kratochvil
no flags Details | Diff

  None (edit)
Description Caolan McNamara 2005-02-01 14:52:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041220

Description of problem:
With the attached test case calling from within gdb a function local to the main executable works, but apparently calling one which is in a linked lib doesn't and causes a SEGV

Version-Release number of selected component (if applicable):
gdb-6.1post-1.20040607.43

How reproducible:
Always

Steps to Reproduce:
1. in attached test case run make

Actual Results:  randomthing2
randomthing
about to test
randomthing2
> The program being debugged was signaled while in a function called from GDB

Expected Results:  randomthing2
randomthing
about to test
randomthing2
randomthing

Additional info:
Comment 1 Caolan McNamara 2005-02-01 14:53:14 EST
Created attachment 110519 [details]
testcase
Comment 2 Jan Kratochvil 2006-06-22 07:22:25 EDT
Created attachment 131342 [details]
Fix for the GDB CVS version

Bug is still present in 2006-06-21 GDB CVS. The segfault is just a consequence
of earlier failure to properly load the custom shared library:
Error while mapping shared library sections:
libc++test4dl.so: Success.
Comment 3 Matthew Miller 2006-07-10 17:38:05 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 Jan Kratochvil 2006-07-10 18:30:54 EDT
Patch is still not accepted even in the central GDB sources.redhat.com CVS
repository (pending copyright assignment).
Comment 5 Matthew Miller 2006-07-11 11:02:09 EDT
Moving to devel as per comment #4.
Comment 6 Matthew Miller 2006-07-11 11:03:54 EDT
(checking the "i am providing the requested info" box...)
Comment 7 Jan Kratochvil 2006-07-25 07:33:22 EDT
Created attachment 132971 [details]
Fix for the GDB CVS version, coding style update
Comment 8 Jan Kratochvil 2006-07-28 03:48:31 EDT
Cc removal requested by Elena Zannoni.
Comment 12 Alexandre Oliva 2006-08-24 03:17:23 EDT
A fix is included in gdb-6.5-5.

Note You need to log in before you can comment on or make changes to this bug.